# Uses of Class
org.apache.lucene.queryparser.flexible.standard.config.PointsConfig

Packages that use PointsConfig
Package
Description
org.apache.lucene.queryparser.flexible.standard
Lucene Flexible Query Parser Implementation
org.apache.lucene.queryparser.flexible.standard.config
Standard Lucene Query Configuration.
org.apache.lucene.queryparser.flexible.standard.nodes
Standard Lucene Query Nodes.

- ## Uses of PointsConfig in org.apache.lucene.queryparser.flexible.standard

  Methods in org.apache.lucene.queryparser.flexible.standard that return types with arguments of type PointsConfig
  Modifier and Type
  Method
  Description
  `Map<String,PointsConfig>`
  StandardQueryParser.`getPointsConfigMap()`
  Method parameters in org.apache.lucene.queryparser.flexible.standard with type arguments of type PointsConfig
  Modifier and Type
  Method
  Description
  `void`
  StandardQueryParser.`setPointsConfigMap(Map<String,PointsConfig> pointsConfigMap)`

- ## Uses of PointsConfig in org.apache.lucene.queryparser.flexible.standard.config

  Fields in org.apache.lucene.queryparser.flexible.standard.config with type parameters of type PointsConfig
  Modifier and Type
  Field
  Description
  `static final ConfigurationKey<PointsConfig>`
  StandardQueryConfigHandler.ConfigurationKeys.`POINTS_CONFIG`
  Key used to set a field to its `PointsConfig`.
  `static final ConfigurationKey<Map<String,PointsConfig>>`
  StandardQueryConfigHandler.ConfigurationKeys.`POINTS_CONFIG_MAP`
  Key used to set the `PointsConfig` in `FieldConfig` for point fields.

- ## Uses of PointsConfig in org.apache.lucene.queryparser.flexible.standard.nodes

  Fields in org.apache.lucene.queryparser.flexible.standard.nodes declared as PointsConfig
  Modifier and Type
  Field
  Description
  `PointsConfig`
  PointRangeQueryNode.`numericConfig`
  Methods in org.apache.lucene.queryparser.flexible.standard.nodes that return PointsConfig
  Modifier and Type
  Method
  Description
  `PointsConfig`
  PointRangeQueryNode.`getPointsConfig()`
  Returns the `PointsConfig` associated with the lower and upper bounds.
  Methods in org.apache.lucene.queryparser.flexible.standard.nodes with parameters of type PointsConfig
  Modifier and Type
  Method
  Description
  `void`
  PointRangeQueryNode.`setBounds(PointQueryNode lower, PointQueryNode upper, boolean lowerInclusive, boolean upperInclusive, PointsConfig pointsConfig)`
  Sets the upper and lower bounds of this range query node and the `PointsConfig` associated with these bounds.
  Constructors in org.apache.lucene.queryparser.flexible.standard.nodes with parameters of type PointsConfig
  Modifier
  Constructor
  Description
  ``
  `PointRangeQueryNode(PointQueryNode lower, PointQueryNode upper, boolean lowerInclusive, boolean upperInclusive, PointsConfig numericConfig)`
  Constructs a `PointRangeQueryNode` object using the given `PointQueryNode` as its bounds and `PointsConfig`.